# Nidoran Stat Requirements

### Stats

In gen 1, Pokémon stats are described by HP, attack, defense, speed, and special. Special is used as both an attack and defense measurement for attacks designated as "special" internally.

The minimum stats at level 8 are **25** HP, **14** attack, **11** defense, **12** speed, **11** special.

The maximum stats at level 8 are **27** HP, **16** attack, **14** defense, **15** speed, **13** special.

### Requirements

#### [Pokémon Red](https://github.com/kylecoburn/PokeBot/blob/master/wiki/red/Stats.md)

#### [Pokémon Yellow](https://github.com/kylecoburn/PokeBot/blob/master/wiki/yellow/Stats.md)

### DV Charts

The probability of stats are derived from the DV values, which describe the possible stats for Nidoran to have.

**Level 8** (learn Horn Attack)

| Skill\DV | 0  | 1  | 2  | 3  | 4  | 5  | 6  | 7  | 8  | 9  | 10 | 11 | 12 | 13 | 14 | 15 |
|----------|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|
| Attack   | 14 | 14 | 14 | 14 | 14 | 15 | 15 | 15 | 15 | 15 | 15 | 16 | 16 | 16 | 16 | 16 |
| Defense  | 11 | 11 | 11 | 12 | 12 | 12 | 12 | 12 | 12 | 13 | 13 | 13 | 13 | 13 | 13 | 14 |
| Speed    | 13 | 13 | 13 | 13 | 13 | 13 | 14 | 14 | 14 | 14 | 14 | 14 | 15 | 15 | 15 | 15 |
| Special  | 11 | 11 | 11 | 11 | 12 | 12 | 12 | 12 | 12 | 12 | 13 | 13 | 13 | 13 | 13 | 13 |

**Level 23** (learn Thrash)

| Skill\DV | 0  | 1  | 2  | 3  | 4  | 5  | 6  | 7  | 8  | 9  | 10 | 11 | 12 | 13 | 14 | 15 |
|----------|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|----|
| Attack   | 49 | 50 | 50 | 51 | 51 | 51 | 52 | 52 | 53 | 53 | 54 | 54 | 55 | 55 | 56 | 56 |
| Defense  | 42 | 43 | 43 | 44 | 44 | 45 | 45 | 45 | 46 | 46 | 47 | 47 | 48 | 48 | 49 | 49 |
| Speed    | 46 | 47 | 47 | 48 | 48 | 48 | 49 | 49 | 50 | 50 | 51 | 51 | 52 | 52 | 53 | 53 |
| Special  | 41 | 42 | 42 | 42 | 43 | 43 | 44 | 44 | 45 | 45 | 46 | 46 | 47 | 47 | 48 | 48 |

If there's one thing to take away from these charts, it's that Nidoran's stats have differentiated much farther at level 23 than level 8. A Nidoran that appears perfect at level 8, may not be quite as promising by 23 after all.
